using System;
using System.Drawing;
using System.Drawing.Imaging;
using System.Drawing.Drawing2D;
using System.Collections;
using System.IO;

namespace LunarDestroyer
{
	/// <summary>
	/// Implementacia lode hraca pre Hru Lunar Destroyer.
	/// Dedi vlastnosti z objektu vesLod.
	/// </summary>
	public class HI : vesLod
	{
		public HI(int _startX, int _startY, bool _zotrvacnost, float _otocenie, Color _farba)
		{ 
			pPozicia.X = _startX;
			pPozicia.Y = _startY;

			iMaxRychl = 25;
			iZrychl = 45;
			iHmota = 5;
			iRychlOtac = 15; 
			Naboje = new Naboj[100];
			bAktivna = true;
			bNabojZotr=_zotrvacnost;
			fRot = _otocenie;
			Farba=_farba;

			if (imgLod  == null)
			{
				imgLod = (Bitmap)Image.FromFile("Ship.gif");
			}
			imgLod.MakeTransparent(Color.Black);
		}

		public override bool Hrac()
		{
			return true;
		}

	}

}
