using System;
using System.Drawing;
using System.Drawing.Imaging;
using System.Drawing.Drawing2D;
using System.Collections;
using System.IO;

namespace LunarDestroyer
{
	/// <summary>
	/// Implementacia umelej inteligencie do hry Lunar Destroyer.
	/// Dedi vsetky vlastnosti po objekte vesLod
	/// </summary>
	public class AI : vesLod
	{
		private Queue qFronta;
		public AI(int _startX, int _startY, bool _zotrvacnost, float _otocenie, Color _farba)
		{ 
			pPozicia.X = _startX;
			pPozicia.Y = _startY;

			iMaxRychl = 20;
			iZrychl = 50;
			iHmota = 5;
			iRychlOtac = 10; 
			Naboje = new Naboj[100];
			bAktivna = true;
			bNabojZotr=_zotrvacnost;
			fRot = _otocenie;
			Farba=_farba;
			qFronta = new Queue();

			if (imgLod  == null)
			{
				imgLod = (Bitmap)Image.FromFile("Ship.gif");
			}
			imgLod.MakeTransparent(Color.Black);
		}
		public override bool Hrac()
		{
			return false;
		}
		public override void Prezi(ArrayList Asteroidy)
		{
			if (this.Aktivny)
			{
				//volanie rozhodovacich funkcii

				//* RANDOM pohyb
				Random R = new Random();
				switch (R.Next(4)) 
				{
					case 0:	
						if (R.Next(100)>90)
							this.Akceleruj();			
						break;
					case 1:
						if (R.Next(100)>40)
						this.Dolava();
						break;
					case 2:
						if (R.Next(100)>60)
						this.Doprava();
						break;
					case 3:
						if (R.Next(100)>70)
                            this.Vystrel();
						break;
					default:
						break;
				}
				this.Pohyb();
			}
		}
	}
}
